package com.qmth.teachcloud.common.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.annotation.ExcelProperty;
import com.qmth.teachcloud.common.bean.result.ClazzDatasourceResult;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 课程导出Dto
 */
public class BasicCourseExportDto {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "课程id")
    private Long id;

    @ExcelProperty(name = "课程名称", width = 20, index = 1)
    private String courseName;

    @ExcelProperty(name = "课程代码", width = 20, index = 2)
    private String courseCode;

    @ExcelProperty(name = "开课学院", width = 20, index = 3)
    private String teachingRoomName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getTeachingRoomName() {
        return teachingRoomName;
    }

    public void setTeachingRoomName(String teachingRoomName) {
        this.teachingRoomName = teachingRoomName;
    }
}
